
Foreman - Bug #10912

failed to create vm: undefined method `resourcePool' for nil:NilClass
Description

This is similar to http://projects.theforeman.org/issues/10151 but altering the code like 

http://projects.theforeman.org/projects/foreman/repository/revisions/7087017cbaff07489694cf270447336854334ebb/diff/app/models/

compute_resources/foreman/model/vmware.rb doesn't change the result.

I have two vcenters in two datacenters, dfw and ord. I have a 1.9.0-develop install of katello+foreman in dfw working with the dfw

vcenter - I can add the vcenter as a compute resource and build VMs on it from pxe boot to puppet run.

I cannot do this in the ord vcenter. I did a nice clean 1.8.2 install of katello+foreman and was able to use node.rb to report facts to it

to create new hosts from. But, when I go to build a new VM, I get the error in the subject.

I tried using the hammer cli but get the same error.

I tried reinstalling as a "katello capsule" and initiating the build from the working dfw vcenter. I get the same exact error.

I asked the hosting provider support to check logs - they see this authenticating but nothing afterward. There is no firewall filtering to

the vcenter from either vcenter network. They also opened up the permissions to admin for the vcenter user being used for the API

calls just to eliminate any permissions issues, but testing yielded the same result.

Using tcpdump, requests definitely are sent to the vcenter server when I click the submit button for a new host in katello.

I think I set debug logging on before reproducing. I ran foreman-debug and had it upload the output file to theforeman.org:

A debug file has been created: /tmp/foreman-debug-D7FyW.tar.xz (2291156 bytes)

Thanks!

Related issues:

Related to Foreman - Bug #9779: first host creation submit doesn't work using... Resolved 03/16/2015

History

#1 - 06/24/2015 03:46 AM - Dominic Cleal

- translation missing: en.field_release deleted (35)

#2 - 06/24/2015 03:47 AM - Dominic Cleal

- Related to Bug #9779: first host creation submit doesn't work using VMWare compute resource added

#3 - 08/25/2015 09:58 AM - adriano lopes

I am having the same problem using version 1.9 with vmware 5.0

The problem is to create a network card

#4 - 06/10/2016 03:27 PM - Anonymous

what's the status here with newer foreman releases?
#5 - 06/10/2016 03:28 PM - Anonymous

what's the status here with newer foreman releases?

#6 - 12/30/2016 09:42 AM - Anonymous

- Status changed from New to Rejected

no reaction, closing.
